
function draw_stars()
    love.graphics.setPointSize(1)
--    love.graphics.setPointStyle('rough')

    for i,k in pairs(stars) do
        local l = k[3]
        love.graphics.setColor(255*l, 255*l, 255*l,255)
        local x = l*(k[1]-math.fmod(cam.x, 2048))
        local y = l*(k[2]-math.fmod(cam.y, 2048))
        love.graphics.points(x, y)
    end

end

function init_stars()
    stars = {}
    for x = 0, 5000 do
        table.insert( stars, {math.floor((love.math.random()-0.5) * 4096), 
                              math.floor((love.math.random()-0.5) * 4096), 
                              1.5 - 1.2*love.math.random()})
    end
end
